﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>

<asp:Content ID="indexHead" ContentPlaceHolderID="head" runat="server">
    <title>Home Page</title>
</asp:Content>

<asp:Content ID="indexContent" ContentPlaceHolderID="MainContent" runat="server">

    <h2>Post message</h2>
    <% using(Html.BeginForm(new {action="PostMessage"})) { %>
        Author: <% =Html.TextBox("author") %><br />
        Channel: <% =Html.TextBox("channel") %><br />
        Message: <% =Html.TextBox("msg", "") %><br />
        <input type="submit" value="Send!" />
    <% } %>
    
    <h2>Messages</h2>
    
    <ul>
        <% foreach(var m in (IEnumerable<Micro.Models.Message>)ViewData["msg"]) { %>
        <li><%=m.Author %>@<%=m.DatePosted %>: <% =m.Text %> [<% =m.Channel %>]</li>
        <%} %>
    </ul>


    <h2>Channels</h2>
    
    <ul>
    <% foreach (var channel in (IEnumerable<Micro.Models.Channel>)ViewData["channels"])
       {  %>
        <li><% =channel.PartitionKey %> (<% =channel.DateCreated %>)</li>
    <% } %>
    </ul>
    
</asp:Content>
